Advertisement:

Author Topic: Help please (1.0.6 to latest)  (Read 3488 times)

Offline kbarg

  • Semi-Newbie
  • *
  • Posts: 34
  • Gender: Male
Help please (1.0.6 to latest)
« on: August 21, 2018, 11:12:30 PM »
I found an old SMF database backup from 1.0.6, how do I manually upgrade it to the latest 2.0 release (I do not have the files for the install just the database)

Offline kbarg

  • Semi-Newbie
  • *
  • Posts: 34
  • Gender: Male
Re: Help please (1.0.6 to latest)
« Reply #1 on: August 21, 2018, 11:22:16 PM »
My server has 10.2.16-MariaDB and PHP 7.2 installed.

Offline vbgamer45

  • Customizer
  • SMF Super Hero
  • *
  • Posts: 21,508
    • smfhacks on Facebook
    • VBGAMER45 on GitHub
    • @createaforum on Twitter
    • SMF For Free
Re: Help please (1.0.6 to latest)
« Reply #2 on: August 21, 2018, 11:27:37 PM »
What I would do is downgrade php to 5.5.
Install SMF 1.1.21

Upload the database .
Then point your SMF 1.1 install settings.php to that database.
Next install SMF 2.0.13 upgrade
Then upgrade your SMF forum.
Next upgrade to SMF to SMF 2.0.15
Then upgrade PHP to 7.1
7.2 is not officially suppoted yet for 2.0.x
Community Suite for SMF - Take your forum to the next level built for SMF, Gallery,Store,Classifieds,Downloads,more!

SMFHacks.com -  Paid Modifications for SMF

Mods:
EzPortal - Portal System for SMF
SMF Gallery Pro
SMF Store SMF Classifieds Ad Seller Pro

Offline kbarg

  • Semi-Newbie
  • *
  • Posts: 34
  • Gender: Male
Re: Help please (1.0.6 to latest)
« Reply #3 on: August 21, 2018, 11:35:58 PM »
I think I have PHP 5.4 "optional" to use with cPanel.

Offline Kindred

  • The Mean One
  • Support Specialist
  • SMF Legend
  • *
  • Posts: 58,433
  • Gender: Male
    • Kindred-999 on GitHub
Re: Help please (1.0.6 to latest)
« Reply #4 on: August 21, 2018, 11:47:39 PM »
5.6 or 7.0 is better
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

Offline kbarg

  • Semi-Newbie
  • *
  • Posts: 34
  • Gender: Male
Re: Help please (1.0.6 to latest)
« Reply #5 on: August 21, 2018, 11:52:12 PM »
I have 1.1.21 installed with php 5.5

Offline kbarg

  • Semi-Newbie
  • *
  • Posts: 34
  • Gender: Male
Re: Help please (1.0.6 to latest)
« Reply #6 on: August 21, 2018, 11:53:13 PM »
Do I need to upgrade "MY" database to 1.1.21? or use repair_settings.php before I proceed installing 2.0.13?

Offline vbgamer45

  • Customizer
  • SMF Super Hero
  • *
  • Posts: 21,508
    • smfhacks on Facebook
    • VBGAMER45 on GitHub
    • @createaforum on Twitter
    • SMF For Free
Re: Help please (1.0.6 to latest)
« Reply #7 on: August 22, 2018, 12:03:18 AM »
Last question are you on SMF 1.0.X? or 1.1.x for your database.
If 1.0.x you need the large upgrade package from SMF 1.1.21 then upgrade to SMF 1.1.x then do the other steps i mentioned in post one.
Community Suite for SMF - Take your forum to the next level built for SMF, Gallery,Store,Classifieds,Downloads,more!

SMFHacks.com -  Paid Modifications for SMF

Mods:
EzPortal - Portal System for SMF
SMF Gallery Pro
SMF Store SMF Classifieds Ad Seller Pro

Offline kbarg

  • Semi-Newbie
  • *
  • Posts: 34
  • Gender: Male
Re: Help please (1.0.6 to latest)
« Reply #8 on: August 22, 2018, 12:12:55 AM »
I have upgraded to 1.1.21, i am trying to upgrade to 2.0.13 like you mentioned, the installer looks bad like there are no images and etc is that normal?

Offline kbarg

  • Semi-Newbie
  • *
  • Posts: 34
  • Gender: Male
Re: Help please (1.0.6 to latest)
« Reply #9 on: August 22, 2018, 12:13:32 AM »
I just got an error it says (Unknown Error)

Offline vbgamer45

  • Customizer
  • SMF Super Hero
  • *
  • Posts: 21,508
    • smfhacks on Facebook
    • VBGAMER45 on GitHub
    • @createaforum on Twitter
    • SMF For Free
Re: Help please (1.0.6 to latest)
« Reply #10 on: August 22, 2018, 12:22:02 AM »
There should files and image shown unless you are on https:// then requires an edit.
Community Suite for SMF - Take your forum to the next level built for SMF, Gallery,Store,Classifieds,Downloads,more!

SMFHacks.com -  Paid Modifications for SMF

Mods:
EzPortal - Portal System for SMF
SMF Gallery Pro
SMF Store SMF Classifieds Ad Seller Pro

Offline kbarg

  • Semi-Newbie
  • *
  • Posts: 34
  • Gender: Male
Re: Help please (1.0.6 to latest)
« Reply #11 on: August 22, 2018, 12:43:52 AM »
Does 2.0.13 or 2.0.15 work on php 5.6?

Offline kbarg

  • Semi-Newbie
  • *
  • Posts: 34
  • Gender: Male
Re: Help please (1.0.6 to latest)
« Reply #12 on: August 22, 2018, 12:48:57 AM »
I am upgraded to 2.0.13, next to 2.0.15. Thank you for your help! :)